> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transaction



## OpenAPI

````yaml /api-reference/openapi.json post /transactions
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /transactions:
    post:
      tags:
        - Transactions
      summary: Create transaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionInput'
      responses:
        '200':
          description: Transaction created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
components:
  schemas:
    TransactionInput:
      type: object
      required:
        - date
        - type
        - total
        - currency_change_amount
        - exchange
        - source_id
        - currency_id
      properties:
        date:
          type: string
          format: date
          description: Date
        receipt_number:
          type: string
          description: Receipt number
        type:
          type: string
          description: Type
        total:
          type: number
          description: Total
        currency_change_amount:
          type: number
          description: Currency change amount
        exchange:
          type: number
          description: Exchange
        source_id:
          type: integer
          description: Source ID
        currency_id:
          type: integer
          description: Currency ID
        is_income:
          type: boolean
          description: Is income
        client_id:
          type: integer
          description: Client ID
        company_id:
          type: integer
          description: Company ID
        can_update:
          type: boolean
          description: Can update
        can_delete:
          type: boolean
          description: Can delete
    Transaction:
      type: object
      properties:
        id:
          type: integer
        date:
          type: string
          format: date
        receipt_number:
          type: string
        type:
          type: string
        total:
          type: number
        currency_change_amount:
          type: number
        exchange:
          type: number
        source_id:
          type: integer
        currency_id:
          type: integer
        is_income:
          type: boolean
        client_id:
          type: integer
        company_id:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````